Package org.snpeff.genotypes

# Class Genotypes

java.lang.Object
org.snpeff.genotypes.Genotypes

All Implemented Interfaces:
  `Serializable`

public class Genotypes extends Object implements Serializable
Simple test program

Author:
  pcingola
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static int`
`MARK`

## Constructor Summary

Constructors
Constructor
Description
`Genotypes()`

## Method Summary

Modifier and Type
Method
Description
`static Genotypes`
`load(String fileName)`
Read from a file
`boolean`
`loadVcf()`
Load data
`static void`
`main(String[] args)`
`void`
`parse(String[] args)`
Parse command line arguments
`void`
`save(String fileName)`
Save to file
`void`
`set(int entryNum, int sampleNum, VcfGenotype vg)`
Set an entry

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MARK

public static int MARK

## Constructor Details

### Genotypes

public Genotypes()

## Method Details

### load

public static Genotypes load(String fileName)
Read from a file

Parameters:
  `fileName` -

### main

public static void main(String[] args)

### loadVcf

public boolean loadVcf()
Load data

### parse

public void parse(String[] args)
Parse command line arguments

### save

public void save(String fileName)
Save to file

Parameters:
  `fileName` -

### set

public void set(int entryNum, int sampleNum, VcfGenotype vg)
Set an entry